#!/bin/bash

WINDDK=/cygdrive/c/WINDDK/7600.16385.0
INF2CAT=${WINDDK}/bin/selfsign/Inf2Cat.exe
SIGNTOOL=${WINDDK}/bin/x86/SignTool.exe
SIGN_NAME="NoMachine S.a.r.l."
CER_PATH="C:\CodeSigning\VeriSign Class 3 Public Primary Certification Authority - G5.cer"
TS_APP="http://timestamp.verisign.com/scripts/timestamp.dll"

${SIGNTOOL} sign /v /ac "${CER_PATH}" /s my /n "${SIGN_NAME}" /t "${TS_APP}" \
            amd64/nxfs.sys \
            i386/nxfs.sys
